{% extends "base.html" %}
{%block content %}
<div class="container">
    <div class="col-lg-8">
        <img id="bg" src="{{ url_for('main.video_feed') }}" width="100%" height="120%">
    </div>
    <div class="col-lg-2">
        <label class="title" style="color: #017ebc">Detected People List</label>

        <div class="form-group">
            <textarea rows="10" cols="20" id="detected_box">
            </textarea>
        </div>
        <div class="form-group">
            <button id="visitButton" type="button" class="btn btn-info btn-lg"  style="display: none;">I have visited here before</button>
        </div>
        <div class="form-group" id="phoneNumber" style="display: none;">
            <label class="title" style="color: #017ebc">Enter phone number</label>
            <input type="number" id="input_phoneNumber"/>
            <button type="button" class="btn btn-success btn-block" id="button_phoneNumber">Submit</button>
        </div>
    </div>
    <div class="col-lg-2">
        <div class="form-group">
            <img id="portrait" width="50%" height="60%">
        </div>
    </div>
</div>
{%endblock%}
{%block script%}
<script>

    $("#visitButton").click(function () {
        $("#phoneNumber").show();
        $("#visitButton").hide();
    });
    $("#button_phoneNumber").click(function () {
        var input_phoneNumber = $('#input_phoneNumber').val();
        $("#phoneNumber").hide();
        $("#visitButton").hide();

        sendPhoneNumber(input_phoneNumber);
    });

    function sendPhoneNumber(phone_number){
        console.log(phone_number);
        //Implementing /api/recv_number
    }
    function getRecognized() {
        $.getJSON("/api/check_recognized", function (data) {
            var json_data = data;
            var img_path = "";
            var msg = "";
            if (json_data.content !== null) {
                for (var i = 0; i < json_data.content.length; i++) {
                    msg += json_data.content[i].name + "  at " + json_data.content[i].timestamp + ".\n\n";
                    if (json_data.content[i].name.includes("Unknown")) {
                        msg = "Unrecognized guest \n\n" +
                            "- please login at the kiosk below";
                        img_path = "/static/unknown.png";
                        $("#visitButton").show();
                    }
                    else
                        img_path = json_data.content[i].img_path;

                }
                document.getElementById("detected_box").value = msg;
                document.getElementById("portrait").src = img_path;
            }
        })
    }

    setInterval(getRecognized, 1000)
</script>
{%endblock%}